### Signal

# Gtk ScrolledWindow::scroll-child

#### Declaration

    gboolean
    scroll_child (
      GtkScrolledWindow self,
      GtkScrollType* scroll,
      gboolean horizontal,
      gpointer user_data
    )

#### Description [src]

Emitted when a keybinding that scrolls is pressed.

This is a keybinding signal.

The horizontal or vertical adjustment is updated which triggers a signal that the scrolled window’s child may listen to and scroll itself.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.
The signal can be emitted directly

#### Parameters

`scroll` | `GtkScrollType`
| A `GtkScrollType` describing how much to scroll.
| The data is owned by the caller of the function.
`horizontal` | `gboolean`
| Whether the keybinding scrolls the child horizontally or not.

#### Return value

Returns: | `gboolean`
| No description available.